import child from 'node:child_process';
export class CommandService {
    configService;
    constructor(configService) {
        this.configService = configService;
    }
    run(args) {
        const key = args.shift();
        if (!key) {
            throw new Error('No arguments provided for command');
        }
        const al = this.configService.getAlias(key);
        if (!al) {
            throw new Error(`Alias not set: ${key}`);
        }
        const [command, ...parameters] = al.command.concat(args);
        const options = {
            cwd: process.cwd(),
            stdio: 'inherit',
            shell: al.options.shell
        };
        child.spawnSync(command, parameters, options);
    }
}
